# List all wallets

### URI

&#x20;<mark style="color:green;background-color:green;">**GET**</mark>&#x20;

```
https://api.tryduplo.com/v1/wallets?bvn=&page=3&perPage=10&business_id=
```

### Parameters

#### Header

<table data-header-hidden><thead><tr><th width="362"></th><th></th></tr></thead><tbody><tr><td><strong>Authorization</strong><br><code>string</code></td><td>set value to <code>Bearer SECRET_KEY</code></td></tr></tbody></table>

#### Query Param

<table data-header-hidden><thead><tr><th width="250"></th><th></th></tr></thead><tbody><tr><td><strong>wallet_ref</strong><br><code>string</code></td><td>Wallet reference</td></tr><tr><td><strong>bvn</strong><br><code>string</code></td><td>Bank verification number used oin registering the wallet</td></tr><tr><td><p><strong>business_id</strong></p><p><code>string</code>  <mark style="color:red;"><code>required</code></mark></p></td><td>Merchant Business ID</td></tr><tr><td><strong>page</strong><br><code>string</code></td><td>Specifies the current page in a list of paginated data, default is set to 1</td></tr><tr><td><strong>perPage</strong><br><code>string</code> </td><td>Specifies the number of records per page of a paginated data, default is set to 50</td></tr></tbody></table>

### Sample request

{% tabs %}
{% tab title="cURL" %}
{% code overflow="wrap" %}

```bash
curl --location --request GET 'https://api.tryduplo.com/v1/wallets?bvn=&page=3&perPage=10&business_id=b6d2211a-ef00-471a-a3a7-dc5389bdd7ac' \
--header 'Authorization: Bearer SECRET_KEY' \
--data-raw ''
```

{% endcode %}
{% endtab %}

{% tab title="Node" %}
{% code overflow="wrap" lineNumbers="true" %}

```javascript
var axios = require('axios');
var data = '';

var config = {
 method: 'get',
 url: 'https://api.tryduplo.com/v1/wallets?bvn=&page=3&perPage=10&business_id=',
 headers: {
   'Authorization': 'Bearer SECRET_KEY'
 },
 data : data
};

axios(config)
.then(function (response) {
 console.log(JSON.stringify(response.data));
})
.catch(function (error) {
 console.log(error);
});
```

{% endcode %}
{% endtab %}

{% tab title="PHP" %}
{% code overflow="wrap" lineNumbers="true" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
 CURLOPT_URL => 'https://api.tryduplo.com/v1/wallets?bvn=&page=3&perPage=10&business_id=',
 CURLOPT_RETURNTRANSFER => true,
 CURLOPT_ENCODING => '',
 CURLOPT_MAXREDIRS => 10,
 CURLOPT_TIMEOUT => 0,
 CURLOPT_FOLLOWLOCATION => true,
 CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
 CURLOPT_CUSTOMREQUEST => 'GET',
 CURLOPT_HTTPHEADER => array(
   'Authorization: Bearer SECRET_KEY'
 ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

{% endcode %}
{% endtab %}
{% endtabs %}

### Duplo Response

```json
{
   "data": {
       "data": [
           {
               "legder_balance": "0.00",
               "available_balance": "0.00",
               "bank_accounts": [
                   {
                       "transactions": [],
                       "metadata": "{}",
                       "provider": {
                           "bank_code": "053",
                           "bank_name": "Providus",
                           "id": "providus",
                           "default": true
                       },
                       "first_name": "Manny",
                       "last_name": "Norte",
                       "email": "alindavidsin@gmail.co",
                       "is_permanent": true,
                       "account_ref": "act_8aecca9b4",
                       "business_id": "sdss",
                       "date": "2021-08-08T11:08:31.000Z",
                       "status": "active",
                       "account_name": "MERCHANT(Manny Norte)",
                       "account_number": "9977632775",
                       "bvn": "9583475783587",
                       "__v": 0
                   }
               ],
               "wallet_ref": "wal_ae64e48ab8",
               "business_id": "sdss",
               "date": "2021-08-08T11:08:31.000Z",
               "currency": "NGN"
           }
       ],
       "meta": {
           "page": 1,
           "limit": 10,
           "previousPage": false,
           "nextPage": false,
           "pageCount": 1,
           "total": 1
       }
   },
   "errors": {},
   "message": "Request successful"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.tryduplo.com/duplo-api-documentation/payment-apis/collect-payments/digital-wallets/list-digital-wallets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
